
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>6.11. [U4.41.01] : Operator AFFE_MODELE (ASSIGN_MODEL) &#8212; Code-Aster v14 0.1 documentation</title>
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/app.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../../_static/graphviz.css" />
    <link rel="stylesheet" type="text/css" href="../../_static/code_aster.css" />
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script async="async" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="6.12. [U4.42.01] : Operator AFFE_CARA_ELEM (ASSIGN_STRUCTURAL_ELEM_PROPERTIES)" href="u4.42.01.html" />
    <link rel="prev" title="6.10. [U4.34.03] : Operator DEFI_LIST_INST (DEFINE_LIST_OF_TIME_INSTANTS)" href="u4.34.03.html" />

<script type="text/javascript" src="../../_static/sidebar.js"></script>

<link rel="stylesheet" href="https://use.typekit.net/isi7ftn.css">
<script>try{Typekit.load({ async: true });}catch(e){}</script>
<script type="text/javascript" src="../../_static/copybutton.js"></script>


  </head><body>
<div class="topbar">
  <!--
  <a class="brand" title="Documentation Home" href="../../index.html">
    <span id="logotext">LSST Science Pipelines</span>
  </a>
  -->
  <ul>
    <li><a href="https://www.code-aster.org/V2/spip.php?rubrique19">Code Aster PDF Docs</a></li>
  </ul>
</div>

<div class="related">
    <h3>Navigation</h3>
    <ul>
      <li class="right">
	<a href="u4.42.01.html" title="6.12. [U4.42.01] : Operator AFFE_CARA_ELEM (ASSIGN_STRUCTURAL_ELEM_PROPERTIES)">
	  next &raquo;
	</a>
      </li>
      <li class="right">
	<a href="u4.34.03.html" title="6.10. [U4.34.03] : Operator DEFI_LIST_INST (DEFINE_LIST_OF_TIME_INSTANTS)">
	  &laquo; previous
	</a>
	 |
      </li>
      <li>
	<a href="../../index.html">Code-Aster v14 0.1 documentation</a>
	 &#187;
      </li>
      <li><a href="u4_toc.html" accesskey="U"><span class="section-number">6. </span><strong>U4</strong>: Command documentation</a> &#187;</li>
      
      <li><span class="section-number">6.11. </span><strong>[U4.41.01]</strong> : Operator <code class="docutils literal notranslate"><span class="pre">AFFE_MODELE</span></code> (<span class="gray">ASSIGN_MODEL</span>)</li> 
    </ul>
</div>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="u4-41-01-operator-affe-modele-assign-model">
<span id="u4-41-01"></span><span id="index-0"></span><h1><span class="section-number">6.11. </span><strong>[U4.41.01]</strong> : Operator <code class="docutils literal notranslate"><span class="pre">AFFE_MODELE</span></code> (<span class="gray">ASSIGN_MODEL</span>)<a class="headerlink" href="#u4-41-01-operator-affe-modele-assign-model" title="Permalink to this headline">¶</a></h1>
<div class="section" id="purpose">
<span id="u4-41-01-1"></span><h2><span class="section-number">6.11.1. </span>Purpose<a class="headerlink" href="#purpose" title="Permalink to this headline">¶</a></h2>
<p>Define the modeled physical phenomenon (mechanical, thermal or acoustic) and the type of
finite elements.</p>
<p>This operator makes it possible to assign models on all or part of the mesh, which defines:</p>
<ul class="simple">
<li><p>the nodal degrees of freedom (and the associated conservation equation or equations),</p></li>
<li><p>the types of finite elements on the topological elements.</p></li>
</ul>
<p>The finite elements which can be chosen are described in the documents
<a class="reference internal" href="u3_toc.html#u3-toc"><span class="std std-ref">[U3*]</span></a>.</p>
<p>The types of elements are described in the document <a class="reference internal" href="u3.01.00.html#u3-01-00"><span class="std std-ref">[U3.01.00]</span></a>.</p>
<p>This operator also makes it possible to distribute the finite elements in order to parallelize the
calculations and assemblies.</p>
<p>The output of this operator is a data structure of the <span class="green">modele</span> type.</p>
</div>
<div class="section" id="syntax">
<span id="u4-41-01-2"></span><h2><span class="section-number">6.11.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>model [modele] = AFFE_MODELE
(
  ♦ MAILLAGE = ma,                                                  / [maillage]
                                                                    / [squelette]
  ♦ | AFFE = _F(
                ♦ / TOUT = &#39;OUI&#39;,
                  / GROUP_MA = g_mail,                                [l_gr_maille]
                ♦ / ♦ PHENOMENE = &#39;MECANIQUE&#39;,
                    ♦ MODELISATION = ...                              # (see [3.2.1])

                  / ♦ PHENOMENE = &#39;THERMIQUE&#39;
                    ♦ MODELISATION = ...                              # (see [3.2.1])

                  / ♦ PHENOMENE = &#39;ACOUSTIQUE&#39;,
                    ♦ MODELISATION = ...                              # (see [3.2.1])
               ),

    | AFFE_SOUS_STRUC = _F(
                           ♦ / TOUT = &#39;OUI&#39;,
                             / SUPER_MAILLE = l_mail,                 [l_maille]
                          ),

  ◊ VERI_JACOBIEN = / &#39;OUI&#39;                                           [DEFAULT]
                    / &#39;NON&#39;

  ◊ GRANDEUR_CARA = _F(
                       ◊ LONGUEUR = lcara,                            [R]
                       ◊ PRESSION = pcara,                            [R]
                       ◊ TEMPERATURE = tcara,                         [R]
                      ),

  ◊ DISTRIBUTION = _F(
                      ◊ METHODE = / &#39;SOUS_DOMAINE&#39;                    [DEFAULT]
                                    ◊ NB_SOUS_DOMAINE = / nb_proc     [DEFAULT]
                                                        / nb_sub_dom
                                    ◊ PARTITIONNEUR = / &#39;METIS&#39;       [DEFAULT]
                                                      / &#39;SCOTCH&#39;

                                  / &#39;MAIL_CONTIGU&#39;
                                    ◊ CHARGE_PROC0_MA = / 100         [DEFAULT]
                                                        / pct

                                  / &#39;MAIL_DISPERSE&#39;
                                    ◊ CHARGE_PROC0_MA = / 100         [DEFAULT]
                                                        / pct

                                  / &#39;GROUP_ELEM&#39;
                                  / &#39;CENTRALISE&#39;
                     ),
  ◊ INFO = / 1                                                       [DEFAULT]
           / 2,
)
</pre></div>
</div>
</div>
<div class="section" id="operands">
<span id="u4-41-01-3"></span><h2><span class="section-number">6.11.3. </span>Operands<a class="headerlink" href="#operands" title="Permalink to this headline">¶</a></h2>
<div class="section" id="operand-maillage-mesh">
<span id="u4-41-01-3-1"></span><h3><span class="section-number">6.11.3.1. </span>Operand <span class="blue">MAILLAGE</span> (<span class="gray">MESH</span>)<a class="headerlink" href="#operand-maillage-mesh" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ MAILLAGE = mesh
</pre></div>
</div>
<p>Name of the associated mesh on which one assigns the elements.</p>
<div class="admonition-remark admonition">
<p class="admonition-title">Remark</p>
<p>For axisymmetric models, the axis of revolution is the Y axis of the mesh.
All the structure must be within a grid that has  <span class="math notranslate nohighlight">\(X \ge 0\)</span>.</p>
</div>
</div>
<div class="section" id="keyword-affe-assign">
<span id="u4-41-01-3-2"></span><h3><span class="section-number">6.11.3.2. </span>Keyword <span class="blue">AFFE</span> (<span class="gray">ASSIGN</span>)<a class="headerlink" href="#keyword-affe-assign" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ | AFFE
</pre></div>
</div>
<p>Defines the mesh entities and the types of elements that will be assigned to them. For each
occurrence, one can input a list of models. The overload rule applies between the different models,
from left to right.</p>
<p>For example :</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">AFFE</span> <span class="o">=</span> <span class="n">_F</span><span class="p">(</span><span class="n">TOUT</span> <span class="o">=</span> <span class="s1">&#39;OUI&#39;</span><span class="p">,</span>
          <span class="n">PHENOMENE</span> <span class="o">=</span> <span class="s1">&#39;MECHANIQUE&#39;</span><span class="p">,</span>
          <span class="n">MODELISATION</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;AXIS&#39;</span><span class="p">,</span> <span class="s1">&#39;AXIS_SI&#39;</span><span class="p">))</span>
</pre></div>
</div>
<p>The various models “overload” each other: <span class="blue">AXIS_SI</span> overloads <span class="blue">AXIS</span> on the elements
where <span class="blue">AXIS_SI</span> exists (QUAD4 and QUAD8 elements).</p>
<div class="admonition-remark admonition">
<p class="admonition-title">Remark</p>
<p>The code stops with an error <span class="green">&lt;F&gt;</span> if the models in the list are do not all have the
same “dimension” (for example <code class="docutils literal notranslate"><span class="pre">MODELISATION</span> <span class="pre">=</span> <span class="pre">('3D',</span> <span class="pre">'D_PLAN')</span></code>). In addition, for an occurrence
of <span class="blue">AFFE</span>, the specified elements whose dimension is that of the dimension of the model
must be all assigned. Otherwise the code emits an <span class="green">&lt;A&gt;</span> alarm. This alarm protects the user
who uses models “with holes”. If for example, it uses only model <span class="blue">AXIS_SI</span> on a mesh
containing only TRIA6.</p>
</div>
<p>The entities of the mesh are specified by the operands:</p>
<blockquote>
<div><table class="docutils align-default">
<colgroup>
<col style="width: 31%" />
<col style="width: 69%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Operands</p></th>
<th class="head"><p>Content / Meaning</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><span class="blue">TOUT</span></p></td>
<td><p>Assignment to the all of the elements</p></td>
</tr>
<tr class="row-odd"><td><p><span class="blue">GROUP_MA</span></p></td>
<td><p>Assignment to a list of element groups</p></td>
</tr>
</tbody>
</table>
</div></blockquote>
<p>The type of element is specified by the operands:</p>
<blockquote>
<div><table class="docutils align-default">
<colgroup>
<col style="width: 23%" />
<col style="width: 77%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Operands</p></th>
<th class="head"><p>Content / Meaning</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><span class="blue">PHENOMENE</span></p></td>
<td><p>Physical phenomenon that is modeled (conservation equations associate)</p></td>
</tr>
<tr class="row-odd"><td><p><span class="blue">MODELISATION</span></p></td>
<td><p>Type of interpolation or discretization</p></td>
</tr>
</tbody>
</table>
</div></blockquote>
<div class="section" id="operands-phenomene-and-modelisation-phenomenon-and-model">
<span id="u4-41-01-3-2-1"></span><h4><span class="section-number">6.11.3.2.1. </span>Operands <span class="blue">PHENOMENE</span> and <span class="blue">MODELISATION</span> (<span class="gray">PHENOMENON</span> and <span class="gray">MODEL</span>)<a class="headerlink" href="#operands-phenomene-and-modelisation-phenomenon-and-model" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ PHENOMENE
♦ MODELISATION
</pre></div>
</div>
<p>The are compulsory for each occurrence of the keyword factor <span class="blue">AFFE</span>. These two keywords define,
in a one-to-one manner, the type of finite element assigned to a type of topological element. The
possible models are indicated below (listed in order of “packages”):</p>
<p><strong>Acoustics</strong> <span class="blue">ACOUSTIQUE</span></p>
<ul>
<li><p>2D acoustics: Continuous media</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">PLAN</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.33.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.33.01.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D acosutics: Continuous media</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.33.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.33.01.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
</ul>
<p><strong>Thermal</strong> <span class="blue">THERMIQUE</span></p>
<ul>
<li><p>2D thermal: Shell</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">COQUE_AXIS</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.22.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.22.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">COQUE_PLAN</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.22.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.22.01.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>2D thermal: continuous media</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_DIAG</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.23.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.23.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_FOURIER</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.23.02]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.23.02.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.23.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.23.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">PLAN_DIAG</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.23.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.23.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">PLAN</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.23.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.23.01.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D thermal: Shell</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">COQUE</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.22.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.22.01.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D thermal: Continuous media</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_DIAG</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.24.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.24.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.24.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.24.01.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
</ul>
<p><strong>2D Mechanical</strong> <span class="blue">MECHANIQUE</span></p>
<ul>
<li><p>2D mechanics: Discrete elements</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">2D_DIS_TR</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">2D_DIS_T</span></code></p></td>
<td></td>
<td></td>
</tr>
</tbody>
</table>
</li>
<li><p>2D mechanics: Fluid-structure</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">2D_FLUID</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">2D_FLUI_ABSO</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.13]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.13.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">2D_FLUI_PESA</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.02]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.02.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">2D_FLUI_STRU</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_FLUIDE</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_FLUI_STRU</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_ABSO</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.12]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.12.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>2D mechanics: Continuous media</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_FOURIER</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.02]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.02.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_SI</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.05]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.05.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">C_PLAN_SI</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.05]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.05.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">C_PLAN</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_SI</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.05]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.05.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.01.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>2D mechanics: Nearly incompressible</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 17%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_INCO_UP</span></code></p></td>
<td><p><a class="reference internal" href="../reference/r3.06.08.html#r3-06-08"><span class="std std-ref">[R3.06.08]</span></a></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_INCO_UP</span></code></p></td>
<td><p><a class="reference internal" href="../reference/r3.06.08.html#r3-06-08"><span class="std std-ref">[R3.06.08]</span></a></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_INCO_UPG</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.07]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.07.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td></td>
<td><p><a class="reference internal" href="../reference/r3.06.08.html#r3-06-08"><span class="std std-ref">[R3.06.08]</span></a></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_INCO_UPG</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.07]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.07.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td></td>
<td><p><a class="reference internal" href="../reference/r3.06.08.html#r3-06-08"><span class="std std-ref">[R3.06.08]</span></a></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_INCO_UPO</span></code></p></td>
<td><p><a class="reference internal" href="../reference/r3.06.08.html#r3-06-08"><span class="std std-ref">[R3.06.08]</span></a></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_INCO_UPO</span></code></p></td>
<td><p><a class="reference internal" href="../reference/r3.06.08.html#r3-06-08"><span class="std std-ref">[R3.06.08]</span></a></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.08.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>2D mechanics: Non-local</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 17%" />
<col style="width: 23%" />
<col style="width: 59%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_GRAD_VARI</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_GVNO</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.04]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.04.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_GVNO</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.04]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.04.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_GRAD_SIGM</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.03.24]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.03.24.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>2D mechanics: Plates and shells</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">COQUE_AXIS</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.12.02]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.12.02.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>2D mechanics: Joint elements for crack propagation</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 17%" />
<col style="width: 23%" />
<col style="width: 59%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">PLAN_JOINT</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.14]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.14.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_JOINT</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.14]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.14.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">PLAN_JOINT_HYME</span></code></p></td>
<td><p><span class="xref std std-ref">[R3.06.09]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.09.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">PLAN_INTERFACE</span></code></p></td>
<td><p><span class="xref std std-ref">[R3.06.13]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.13.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">PLAN_INTERFACE_S</span></code></p></td>
<td><p><span class="xref std std-ref">[R3.06.13]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.13.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_INTERFACE</span></code></p></td>
<td><p><span class="xref std std-ref">[R3.06.13]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.13.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_INTERFACE_S</span></code></p></td>
<td><p><span class="xref std std-ref">[R3.06.13]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.13.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>2D mechanics: Elements with internal discontinuities for crack initiation and propagation</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">PLAN_ELDI</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.14]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.14.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_ELDI</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.14]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.14.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>2D mechanics: Thermo-hydro-mechanical</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_HH2MD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_HH2MS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_HHMD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_HHMS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_HHM</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.08]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_HMD</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.08]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_HMS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_HM</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_THH2D</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_THH2S</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_THH2MD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_THH2MS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_THHD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_THHS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_THHMD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_THHMS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_THMD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_THMS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_THM</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.08]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS</span> <span class="pre">_HHD</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS</span> <span class="pre">_HHS</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS</span> <span class="pre">_HH2D</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS</span> <span class="pre">_HH2S</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HH2MD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HH2MS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HHMD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HHMS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HHM</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.08]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HMD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HMS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HM</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.08]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HM_P</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.08]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_THH2D</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_THH2S</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_THH2MD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_THH2MS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_THHD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_THHS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_THHMD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_THHMS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_THMD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_THMS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_THM</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.08]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HHD</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_</span> <span class="pre">PLAN_HHS</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HS</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HH2D</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HH2S</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_2DG</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_DIL</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>2D mechanics: Hydraulic unsaturated in finite volumes</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">D_PLAN_HH2SUDA</span></code></p></td>
<td></td>
<td></td>
</tr>
</tbody>
</table>
</li>
<li><p>2D mechanics: Joint elements with hydromechanical coupling</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">AXIS_JHMS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">PLAN_JHMS</span></code></p></td>
<td></td>
<td></td>
</tr>
</tbody>
</table>
<p>For the 2D meshes, these options allow the user to input the mesh groups or the elements likely to be
cut by the crack when the contact is defined on the faces of the crack. The following types of elements
are allowed: QUAD8 and TRIA6 and the edge elements of these face elements, i.e., SEG3. If the elements
are linear, it is necessary to transform them into quadratic elements (with <span class="blue">LINE_QUAD</span> of
operator <span class="red">CREA_MAILLAGE</span>).</p>
</li>
</ul>
<p><strong>3D mechanical</strong> <span class="blue">MECHANIQUE</span></p>
<ul>
<li><p>3D mechanics: Bars and cables</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">2D_BARRE</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">BARRE</span></code></p></td>
<td><p><a class="reference internal" href="u3.11.01.html#u3-11-01"><span class="std std-ref">[U3.11.01]</span></a></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CABLE_POULIE</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.11.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">CABLE</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.11.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">CABLE_GAINE</span></code></p></td>
<td><p><span class="xref std std-ref">[R3.08.10]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.08.10.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Discrete elements</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">DIS_TR</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.11.02]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.02.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">DIS_T</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.11.02]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.02.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Fluid-structure</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_FAISCEAU</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_FLUIDE</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.02]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.02.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Absorbing boundary</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_ABSO</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.09]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.09.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_FLUI_ABSO</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.10]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.10.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Concrete reinforcement grills</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 17%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">GRILLE_MEMBRANE</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">GRILLE_EXCENTRE</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.12.04]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.12.04.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Continuous media</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_SI</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.01.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Non-local</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_GRAD_VARI</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_GVNO</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.04]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.04.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Plates, shells and membranes</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">COQUE_3D</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.12.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.12.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">DKT</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.12.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.12.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">DST</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.12.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.12.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">Q4G</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.12.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.12.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">DKTG</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.12.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.12.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">Q4GG</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.12.01]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.12.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">MEMBRANE</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.12.04]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.12.04.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Beams</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">FLUI_STRU</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.02]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.02.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">POU_FLUI_STRU</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.02]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.02.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">POU_D_EM</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.11.07]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.07.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">POU_D_E</span></code></p></td>
<td><p><a class="reference internal" href="u3.11.01.html#u3-11-01"><span class="std std-ref">[U3.11.01]</span></a></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.01.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">POU_D_TGM</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.11.04]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.04.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">POU_D_TG</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.11.04]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.04.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">POU_D_T_GD</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.11.05]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.05.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">POU_D_T</span></code></p></td>
<td><p><a class="reference internal" href="u3.11.01.html#u3-11-01"><span class="std std-ref">[U3.11.01]</span></a></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.01.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Nearly incompressible</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_INCO_UP</span></code></p></td>
<td><p><a class="reference internal" href="../reference/r3.06.08.html#r3-06-08"><span class="std std-ref">[R3.06.08]</span></a></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_INCO_UPG</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.06]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.06.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td></td>
<td><p><a class="reference internal" href="../reference/r3.06.08.html#r3-06-08"><span class="std std-ref">[R3.06.08]</span></a></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.08.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_INCO_UPO</span></code></p></td>
<td><p><a class="reference internal" href="../reference/r3.06.08.html#r3-06-08"><span class="std std-ref">[R3.06.08]</span></a></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.08.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Thermo-hydro-mechanical</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_HHMD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_HHM</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.07]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.07.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_HMD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_HM</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.07]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.07.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_THHD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_THHMD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_THHM</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.07]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.07.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_THMD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_THM</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.14.07]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.14.07.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_THVD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_THH2MD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_THH2M</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_HH2MD</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_HH2MS</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_THH2S</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_THH2D</span></code></p></td>
<td></td>
<td></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_HHD</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_HHS</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_HS</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_HH2D</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_HH2S</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: 3D hydraulic unsaturated in finite volume</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_HH2SUDA</span></code></p></td>
<td><p><span class="xref std std-ref">[R5.04.03]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r5/r5.04.03.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Pipe elements</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">TUYAU_3M</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.11.06]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.06.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">TUYAU_6M</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.11.06]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.11.06.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Shell element with mass</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">SHB</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.12.05]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.12.05.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
<li><p>3D mechanics: Elements for crack propagation</p>
<p>For 3D elements, allows the user to input element groups or the elements likely to be cut by the
crack when the contact is defined on the faces of the crack. The following types of element are
allowed: HEXA20, PENTA15, TETRA10, and edge elements of these elements, i.e., QUAD8 and TRIA6. If
the elements are linear, it is necessary to transform them into quadratic elements (with
<span class="blue">LINE_QUAD</span> of the operator <span class="red">CREA_MAILLAGE</span>).</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 16%" />
<col style="width: 24%" />
<col style="width: 60%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_JOINT</span></code></p></td>
<td><p><span class="xref std std-ref">[U3.13.14]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_u/u3/u3.13.14.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_JOINT_HYME</span></code></p></td>
<td><p><span class="xref std std-ref">[R3.06.09]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.09.pdf">PDF</a></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3D_INTERFACE</span></code></p></td>
<td><p><span class="xref std std-ref">[R3.06.13]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.13.pdf">PDF</a></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">3D_INTERFACE_S</span></code></p></td>
<td><p><span class="xref std std-ref">[R3.06.13]</span></p></td>
<td><p><a class="reference external" href="https://www.code-aster.org/V2/doc/v14/en/man_r/r3/r3.06.13.pdf">PDF</a></p></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</div>
<div class="section" id="keyword-affe-sous-struc-assign-substructure">
<span id="u4-41-01-3-3"></span><h3><span class="section-number">6.11.3.3. </span>Keyword <span class="blue">AFFE_SOUS_STRUC</span> (<span class="gray">ASSIGN_SUBSTRUCTURE</span>)<a class="headerlink" href="#keyword-affe-sous-struc-assign-substructure" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ | AFFE_SOUS_STRUC
</pre></div>
</div>
<p>This option is usable only for a model that contains static substructures <span class="xref std std-ref">[U1.01.04]</span>.</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ / SUPER_MAILLE = l_mail
</pre></div>
</div>
<p><span class="green">l_mail</span> is the list of the super-elements which one wants to assign in the model. As for
the finite elements, it is not compulsory to assign all the elements of the mesh. It is
<span class="red">AFFE_MODELE</span> which is to specify which substructures which will be used in the model. The
difference with classic finite elements is that, on the super-elements, one chooses neither the
<span class="blue">MODELISATION</span> nor the <span class="blue">PHENOMENE</span> because the macro-element (built by operator
<span class="red">MACR_ELEM_STAT</span> <span class="xref std std-ref">[U4.62.01]</span>) which will be assigned on the super-element has
its own model and its own phenomenon.</p>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p>Your model must contain at least one finite element (keyword <span class="blue">AFFE</span> in <a class="reference internal" href="#u4-41-01-3-2"><span class="std std-numref">Section 6.11.3.2</span></a>)
when you use static substructures defined from a physical mesh (read with <span class="red">LIRE_MAILLAGE</span>)
because it is not possible to have only macro-elements in that case.</p>
</div>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span> <span class="n">TOUT</span> <span class="o">=</span> <span class="s1">&#39;OUI&#39;</span>
</pre></div>
</div>
<p>All (super) elements are assigned.</p>
</div>
<div class="section" id="operand-veri-jacobien-check-jacobian">
<span id="u4-41-01-3-4"></span><h3><span class="section-number">6.11.3.4. </span>Operand <span class="blue">VERI_JACOBIEN</span> (<span class="gray">CHECK_JACOBIAN</span>)<a class="headerlink" href="#operand-veri-jacobien-check-jacobian" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ VERI_JACOBIEN =   &#39;OUI&#39;
                  / &#39;NON&#39;
</pre></div>
</div>
<p>This keyword is used to check that the elements of the model are not too distorted. We calculate the
Jacobian of the geometrical transformation which transforms the reference element into each element
of the actual model. If, at the various integration points of a mesh, the Jacobian changes sign this
indicates that the mesh is very “badly deformed”.</p>
<p>An alarm (<span class="green">CALCULEL_7</span>) is then emitted.</p>
</div>
<div class="section" id="operand-grandeur-cara-characteristic-quantities">
<span id="u4-41-01-3-5"></span><h3><span class="section-number">6.11.3.5. </span>Operand <span class="blue">GRANDEUR_CARA</span> (<span class="gray">CHARACTERISTIC_QUANTITIES</span>)<a class="headerlink" href="#operand-grandeur-cara-characteristic-quantities" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ GRANDEUR_CARA = _F (LONGUEUR = lcara, ...)
</pre></div>
</div>
<p>This keyword is used to define some physical quantities characteristic of the treated problem. Those
quantities are currently used to “dimension” certain terms of the error estimators in “HM”.
See <span class="xref std std-ref">[R4.10.05]</span>.</p>
</div>
<div class="section" id="keyword-distribution-parallel-elem-distrib">
<span id="u4-41-01-3-6"></span><h3><span class="section-number">6.11.3.6. </span>Keyword <span class="blue">DISTRIBUTION</span> (<span class="gray">PARALLEL_ELEM_DISTRIB</span>)<a class="headerlink" href="#keyword-distribution-parallel-elem-distrib" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ DISTRIBUTION = _F(METHODE = method, ...)
</pre></div>
</div>
<p>This keyword makes it possible to distribute the finite elements of the model for the parallelism of
element calculations, assemblies and some linear solvers. (see <span class="xref std std-ref">[U2.08.06]</span>).</p>
<p>It defines how the elements will be distributed for the parallelized phases of <code class="docutils literal notranslate"><span class="pre">Code_Aster</span></code>. The user
therefore has the possibility of controlling this distribution between processors.</p>
<p>Parallelism can be applied:</p>
<ul class="simple">
<li><p>on element computations and on the assemblies of matrices and vectors</p></li>
<li><p>during the solution of the linear system if the solver is parallelized
(cf <span class="xref std std-ref">[U4.50.01]</span>).</p></li>
</ul>
<div class="admonition-remark admonition">
<p class="admonition-title">Remark</p>
<p>It is possible to modify the distribution mode during its study by using the
command <span class="red">MODI_MODELE</span> <span class="xref std std-ref">[U4.41.02]</span>.</p>
</div>
<div class="admonition-remark admonition">
<p class="admonition-title">Remark</p>
<p>It may be practical to continue a parallel calculation with a different number of processors than
were used for the initial calculation. In particular, we may want to achieve some sequential
post-processing. It is recommended to use the <span class="red">MODI_MODELE</span> command to define the distribution
to be used in <span class="red">POURSUITE</span>. More precisely, if the initial calculation had used the option
of “by groups of elements” (<span class="blue">‘GROUP_ELEM’</span> or <span class="blue">‘ SOUS_DOMAINE’</span>), the command
<span class="red">MODI_MODELE</span> is unnecessary. On the other hand, if the initial computation had used
the “by elements” options (<span class="blue">‘MAIL_CONTIGU’</span> or <span class="blue">‘MAIL_DISPERSE’</span>), the command
<span class="red">MODI_MODELE</span> is obligatory. If one forgets to modify the element assignement, one is stopped
during computation with an error message.</p>
</div>
<div class="section" id="keyword-methode">
<span id="u4-41-01-3-6-1"></span><h4><span class="section-number">6.11.3.6.1. </span>Keyword <span class="blue">METHODE</span><a class="headerlink" href="#keyword-methode" title="Permalink to this headline">¶</a></h4>
<div class="section" id="methode-centralise-centralized">
<span id="u4-41-01-3-6-1-1"></span><h5><span class="section-number">6.11.3.6.1.1. </span><span class="blue">METHODE = / ‘CENTRALISE</span> (<span class="gray">‘CENTRALIZED’</span>)<a class="headerlink" href="#methode-centralise-centralized" title="Permalink to this headline">¶</a></h5>
<p>With this option, parallelism is only at the level of the linear solver. Each processor builds and
provides the solver with the entire system to be solved. Element calculations are not parallelized.</p>
</div>
<div class="section" id="methode-group-elem-grouped-elements">
<span id="u4-41-01-3-6-1-2"></span><h5><span class="section-number">6.11.3.6.1.2. </span><span class="blue">METHODE = / ‘GROUP_ELEM’</span> (<span class="gray">GROUPED_ELEMENTS</span>)<a class="headerlink" href="#methode-group-elem-grouped-elements" title="Permalink to this headline">¶</a></h5>
<p>This distribution mode allows perfect load balancing (in terms of the number of element calculations)
a priori. Each processor will perform, for a type of element, the same number of element calculations
(as an adjacent processor). Obviously, this does not impact the final load balancing, especially in
nonlinear calculations where the cost of an element calculation depends on other parameters than the
type of element.</p>
<p>In this mode, the elements of the model are grouped together in order to pool certain calculations
which makes it possible to gain in efficiency. The number of elements per group can be chosen in
the command <span class="red">DEBUT</span> <a class="reference internal" href="u4.11.01.html#u4-11-01"><span class="std std-ref">[U4.11.01]</span></a>.</p>
<p>In addition, this is the only mode able to distribute the element calculations induced by
complex situations, e.g., dualized boundary conditions or continuous contact.</p>
</div>
<div class="section" id="methode-mail-disperse-dispersed-elements">
<span id="u4-41-01-3-6-1-3"></span><h5><span class="section-number">6.11.3.6.1.3. </span><span class="blue">METHODE = / ‘MAIL_DISPERSE’</span> (<span class="gray">DISPERSED_ELEMENTS</span>)<a class="headerlink" href="#methode-mail-disperse-dispersed-elements" title="Permalink to this headline">¶</a></h5>
<p>The elements are distributed equally over the various processors available. The elements are distributed
on the various processors as is done when dealing playing cards to multiple players. We also call this
type of distribution “cyclical”.</p>
<p>For example, with a model comprising 8 elements and computed on 4 processors, one obtains the
following distribution:</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 21%" />
<col style="width: 10%" />
<col style="width: 10%" />
<col style="width: 10%" />
<col style="width: 10%" />
<col style="width: 10%" />
<col style="width: 10%" />
<col style="width: 10%" />
<col style="width: 10%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Mode of distribution</p></th>
<th class="head"><p>Element 1</p></th>
<th class="head"><p>Element 2</p></th>
<th class="head"><p>Element 3</p></th>
<th class="head"><p>Element 4</p></th>
<th class="head"><p>Element 5</p></th>
<th class="head"><p>Element 6</p></th>
<th class="head"><p>Element 7</p></th>
<th class="head"><p>Element 8</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><span class="blue">MAIL_DISPERSE</span></p></td>
<td><p>Proc. 0</p></td>
<td><p>Proc. 1</p></td>
<td><p>Proc. 2</p></td>
<td><p>Proc. 3</p></td>
<td><p>Proc. 0</p></td>
<td><p>Proc. 1</p></td>
<td><p>Proc. 2</p></td>
<td><p>Proc. 3</p></td>
</tr>
</tbody>
</table>
<p>We see that with this mode of distribution, a processor will treat regularly spaced elements in the
sequence in which they appear in the mesh. The advantage of this distribution is that, statistically,
each processor will process as many hexahedra, pentahedra, …, and triangles.</p>
<p>The workload for element calculations will in general be well distributed. On the other hand, the
matrix assembled on a processor will be very “dispersed”, unlike what happens for the
<span class="blue">‘MAIL_CONTIGU’</span> mode.</p>
</div>
<div class="section" id="methode-mail-contigu-contiguous-elements">
<span id="u4-41-01-3-6-1-4"></span><h5><span class="section-number">6.11.3.6.1.4. </span><span class="blue">METHODE = / ‘MAIL_CONTIGU’</span> (<span class="gray">CONTIGUOUS_ELEMENTS</span>)<a class="headerlink" href="#methode-mail-contigu-contiguous-elements" title="Permalink to this headline">¶</a></h5>
<p>The elements are distributed in packets of contiguous elements on the different processors available.</p>
<p>For example, for a model comprising 8 elements and a machine with 4 available processors, we obtain the
following distribution:</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 20%" />
<col style="width: 10%" />
<col style="width: 10%" />
<col style="width: 10%" />
<col style="width: 10%" />
<col style="width: 10%" />
<col style="width: 10%" />
<col style="width: 10%" />
<col style="width: 10%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Mode of distribution</p></th>
<th class="head"><p>Element 1</p></th>
<th class="head"><p>Element 2</p></th>
<th class="head"><p>Element 3</p></th>
<th class="head"><p>Element 4</p></th>
<th class="head"><p>Element 5</p></th>
<th class="head"><p>Element 6</p></th>
<th class="head"><p>Element 7</p></th>
<th class="head"><p>Element 8</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><span class="blue">MAIL_CONTIGU</span></p></td>
<td><p>Proc. 0</p></td>
<td><p>Proc. 0</p></td>
<td><p>Proc. 1</p></td>
<td><p>Proc. 1</p></td>
<td><p>Proc. 2</p></td>
<td><p>Proc. 2</p></td>
<td><p>Proc. 3</p></td>
<td><p>Proc. 3</p></td>
</tr>
</tbody>
</table>
<p>For this mode of distribution, the workload for element calculations may be less balanced. For example,
a processor may only have to process “easy” edge elements. On the other hand, the matrix assembled on
a processor is generally more compact.</p>
</div>
<div class="section" id="keyword-charge-proc0-ma-mesh-load-proc0">
<span id="u4-41-01-3-6-1-5"></span><h5><span class="section-number">6.11.3.6.1.5. </span>Keyword <span class="blue">CHARGE_PROC0_MA</span> (<span class="gray">MESH_LOAD_PROC0</span>)<a class="headerlink" href="#keyword-charge-proc0-ma-mesh-load-proc0" title="Permalink to this headline">¶</a></h5>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ CHARGE_PROC0_MA = / 100                  [DEFAULT]
                    / pct
</pre></div>
</div>
<p>This keyword is accessible only for <span class="blue">‘MAIL_DISPERSE’</span> and <span class="blue">‘MAIL_CONTIGU’</span>. In fact, these
distribution methods generally do not distribute the load of calculations equally among processors
because of the dualized boundary conditions whose element calculations are processed by processor 0.</p>
<p>If one wishes to decrease the extra load on processor 0 (or, on the contrary, to overload it), one can
use the keyword <span class="blue">CHARGE_PROC0_MA</span>. This keyword allows the user to choose the percentage of load
that you want to assign to processor 0.</p>
<p>For example, if the user chooses <span class="blue">CHARGE_PROC0_MA = 80</span>, processor 0 will process 20% fewer
elements than other processors, i.e., 80% of the load it would have to support if the sharing was
equal between processors.</p>
</div>
<div class="section" id="methode-sous-domaine-sub-domain-default">
<span id="u4-41-01-3-6-1-6"></span><h5><span class="section-number">6.11.3.6.1.6. </span><span class="blue">METHODE = / ‘SOUS_DOMAINE’</span> (<span class="gray">SUB_DOMAIN</span>) [DEFAULT]<a class="headerlink" href="#methode-sous-domaine-sub-domain-default" title="Permalink to this headline">¶</a></h5>
<p>This distribution of the elements is based on a decomposition of the mesh into subdomains built by an
external partitioning tool defined by the keyword <span class="blue">PARTITIONNEUR</span> (<span class="gray">PARTITIONER</span>)</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ PARTITIONNEUR = / &#39;METIS&#39;                [DEFAULT]
                  / &#39;SCOTCH&#39;
</pre></div>
</div>
<p>The number of subdomains can be determined by the user, via the keyword
<span class="blue">NB_SOUS_DOMAINE</span> (<span class="gray">NUMBER_OF_SUBDOMAINS</span>)</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ NB_SOUS_DOMAINE = / nbproc               [DEFAULT]
                    / nb_sub_dom
</pre></div>
</div>
<p>By default, the number of subdomains is taken equal to the number of processors involved in the
calculation (<span class="green">nbproc</span>).</p>
<p>The finite elements of each subdomain are then distributed in groups of similar element types (as
in the distribution corresponding to the <span class="blue">GROUP_ELEM</span> method), in order to best balance element
calculations.</p>
<p>The preliminary partitioning of the mesh into subdomains makes it possible to ensure that all the
elements of a finite element group belong to a single subdomain.</p>
</div>
</div>
</div>
</div>
<div class="section" id="execution-phase">
<span id="u4-41-01-4"></span><h2><span class="section-number">6.11.4. </span>Execution phase<a class="headerlink" href="#execution-phase" title="Permalink to this headline">¶</a></h2>
<p>The keywords <span class="blue">PHENOMENE</span> and <span class="blue">MODELISATION</span> are used to create a data structure specifying
the type of finite element assigned to each geometric element.</p>
<p>A brief message on the assignments is printed (<span class="blue">INFO = 1</span>) in the message file.</p>
<p>For example :</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">Sur</span> <span class="n">les</span> <span class="mi">464868</span> <span class="n">mailles</span> <span class="n">du</span> <span class="n">maillage</span> <span class="n">mesh</span><span class="p">,</span> <span class="n">on</span> <span class="n">a</span> <span class="n">demandé</span> <span class="n">l</span><span class="s1">&#39;affectation de 464868, on a pu en affecter 464868</span>
<span class="n">Modélisation</span>     <span class="n">Type</span> <span class="n">maille</span>  <span class="n">Élément</span> <span class="n">fini</span>     <span class="n">Nombre</span>
                 <span class="n">TRIA6</span>        <span class="n">MECA_FACE6</span>       <span class="mi">12780</span>
<span class="mi">3</span><span class="n">D_INCO_UPG</span>      <span class="n">TETRA10</span>      <span class="n">MINC_TETRA10</span>     <span class="mi">452088</span>
 <span class="o">--</span> <span class="n">NOMBRE</span> <span class="n">DE</span> <span class="n">MAILLES</span> <span class="p">:</span>                <span class="mi">464868</span>
 <span class="o">--</span> <span class="n">NOMBRE</span> <span class="n">DE</span> <span class="n">NOEUDS</span>  <span class="p">:</span>                <span class="mi">743066</span>

<span class="o">******************************************************************************</span>
<span class="n">METIS</span> <span class="mf">5.0</span> <span class="n">Copyright</span> <span class="mi">1998</span><span class="o">-</span><span class="mi">13</span><span class="p">,</span> <span class="n">Regents</span> <span class="n">of</span> <span class="n">the</span> <span class="n">University</span> <span class="n">of</span> <span class="n">Minnesota</span>
 <span class="p">(</span><span class="n">Built</span> <span class="n">on</span><span class="p">:</span> <span class="n">Jul</span> <span class="mi">28</span> <span class="mi">2021</span><span class="p">,</span> <span class="mi">16</span><span class="p">:</span><span class="mi">01</span><span class="p">:</span><span class="mi">18</span><span class="p">)</span>
 <span class="n">size</span> <span class="n">of</span> <span class="n">idx_t</span><span class="p">:</span> <span class="mi">64</span><span class="n">bits</span><span class="p">,</span> <span class="n">real_t</span><span class="p">:</span> <span class="mi">32</span><span class="n">bits</span><span class="p">,</span> <span class="n">idx_t</span> <span class="o">*</span><span class="p">:</span> <span class="mi">64</span><span class="n">bits</span>

<span class="n">Graph</span> <span class="n">Information</span> <span class="o">-----------------------------------------------------------</span>
 <span class="n">Name</span><span class="p">:</span> <span class="p">(</span><span class="n">null</span><span class="p">),</span> <span class="c1">#Vertices: 464868, #Edges: 926293, #Parts: 2</span>

<span class="n">Options</span> <span class="o">---------------------------------------------------------------------</span>
 <span class="n">ptype</span><span class="o">=</span><span class="n">kway</span><span class="p">,</span> <span class="n">objtype</span><span class="o">=</span><span class="n">cut</span><span class="p">,</span> <span class="n">ctype</span><span class="o">=</span><span class="n">shem</span><span class="p">,</span> <span class="n">rtype</span><span class="o">=</span><span class="n">greedy</span><span class="p">,</span> <span class="n">iptype</span><span class="o">=</span><span class="n">metisrb</span>
 <span class="n">dbglvl</span><span class="o">=</span><span class="mi">0</span><span class="p">,</span> <span class="n">ufactor</span><span class="o">=</span><span class="mf">1.030</span><span class="p">,</span> <span class="n">no2hop</span><span class="o">=</span><span class="n">NO</span><span class="p">,</span> <span class="n">minconn</span><span class="o">=</span><span class="n">NO</span><span class="p">,</span> <span class="n">contig</span><span class="o">=</span><span class="n">NO</span><span class="p">,</span> <span class="n">nooutput</span><span class="o">=</span><span class="n">NO</span>
 <span class="n">seed</span><span class="o">=-</span><span class="mi">1</span><span class="p">,</span> <span class="n">niter</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">ncuts</span><span class="o">=</span><span class="mi">1</span>

<span class="n">Direct</span> <span class="n">k</span><span class="o">-</span><span class="n">way</span> <span class="n">Partitioning</span> <span class="o">---------------------------------------------------</span>
 <span class="o">-</span> <span class="n">Edgecut</span><span class="p">:</span> <span class="mi">1079</span><span class="p">,</span> <span class="n">communication</span> <span class="n">volume</span><span class="p">:</span> <span class="mf">1824.</span>

 <span class="o">-</span> <span class="n">Balance</span><span class="p">:</span>
  <span class="n">constraint</span> <span class="c1">#0:  1.000 out of 0.000</span>

 <span class="o">-</span> <span class="n">Most</span> <span class="n">overweight</span> <span class="n">partition</span><span class="p">:</span>
     <span class="n">pid</span><span class="p">:</span> <span class="mi">0</span><span class="p">,</span> <span class="n">actual</span><span class="p">:</span> <span class="mi">232451</span><span class="p">,</span> <span class="n">desired</span><span class="p">:</span> <span class="mi">232434</span><span class="p">,</span> <span class="n">ratio</span><span class="p">:</span> <span class="mf">1.00</span><span class="o">.</span>

 <span class="o">-</span> <span class="n">Subdomain</span> <span class="n">connectivity</span><span class="p">:</span> <span class="nb">max</span><span class="p">:</span> <span class="mi">1</span><span class="p">,</span> <span class="nb">min</span><span class="p">:</span> <span class="mi">1</span><span class="p">,</span> <span class="n">avg</span><span class="p">:</span> <span class="mf">1.00</span>

 <span class="o">-</span> <span class="n">Each</span> <span class="n">partition</span> <span class="ow">is</span> <span class="n">contiguous</span><span class="o">.</span>

<span class="n">Timing</span> <span class="n">Information</span> <span class="o">----------------------------------------------------------</span>
  <span class="n">I</span><span class="o">/</span><span class="n">O</span><span class="p">:</span>                             <span class="mf">0.016</span> <span class="n">sec</span>
  <span class="n">Partitioning</span><span class="p">:</span>                    <span class="mf">0.270</span> <span class="n">sec</span>   <span class="p">(</span><span class="n">METIS</span> <span class="n">time</span><span class="p">)</span>
  <span class="n">Reporting</span><span class="p">:</span>                       <span class="mf">0.064</span> <span class="n">sec</span>

<span class="n">Memory</span> <span class="n">Information</span> <span class="o">----------------------------------------------------------</span>
  <span class="n">Max</span> <span class="n">memory</span> <span class="n">used</span><span class="p">:</span>                <span class="mf">88.515</span> <span class="n">MB</span>
<span class="o">******************************************************************************</span>
<span class="c1">#2      Calculs elementaires et assemblages               CPU (USER+SYST/SYST/ELAPS):      0.26      0.00      0.30</span>
<span class="c1">#4      Communications MPI                                CPU (USER+SYST/SYST/ELAPS):      0.01      0.00      0.05</span>
  <span class="c1"># Memory (Mo):    698.03 /    545.23 /    345.40 /    295.43 (VmPeak / VmSize / Optimum / Minimum)</span>
  <span class="c1"># Fin orders No:  0010 user+syst:          5.18S (syst:          0.14S, Elaps:          5.34S)</span>
  <span class="c1"># ------------------------------------------------------------------------------------------</span>
</pre></div>
</div>
</div>
<div class="section" id="example">
<span id="u4-41-01-5"></span><h2><span class="section-number">6.11.5. </span>Example<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h2>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">model</span> <span class="o">=</span> <span class="n">AFFE_MODELE</span><span class="p">(</span><span class="n">MAILLAGE</span> <span class="o">=</span> <span class="n">mesh</span><span class="p">,</span>
                    <span class="n">AFFE</span> <span class="o">=</span> <span class="p">(</span><span class="n">_F</span><span class="p">(</span><span class="n">GROUP_MA</span> <span class="o">=</span> <span class="n">gma</span><span class="p">,</span>
                               <span class="n">PHENOMENE</span> <span class="o">=</span> <span class="s1">&#39;MECHANIQUE&#39;</span><span class="p">,</span>
                               <span class="n">MODELISATION</span> <span class="o">=</span> <span class="s1">&#39;3D&#39;</span><span class="p">)))</span>
</pre></div>
</div>
<p>This example shows the assignment of a mechanics model and 3D isoparametric elements to the
topological elements in element group <span class="green">gma</span>.</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<form action="../../search.html" method="get">
  <input class='c-searchbox' type="text" name="q" placeholder="Search" />
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form><div>
   <h3>Quick search</h3>
   <script async src="https://cse.google.com/cse.js?cx=1913d02e421931d61"></script>
   <div class="gcse-search"></div>
</div><h3>On this page</h3>
<ul>
<li><a class="reference internal" href="#">6.11. <strong>[U4.41.01]</strong> : Operator <code class="docutils literal notranslate"><span class="pre">AFFE_MODELE</span></code> (<span class="gray">ASSIGN_MODEL</span>)</a><ul>
<li><a class="reference internal" href="#purpose">6.11.1. Purpose</a></li>
<li><a class="reference internal" href="#syntax">6.11.2. Syntax</a></li>
<li><a class="reference internal" href="#operands">6.11.3. Operands</a><ul>
<li><a class="reference internal" href="#operand-maillage-mesh">6.11.3.1. Operand <span class="blue">MAILLAGE</span> (<span class="gray">MESH</span>)</a></li>
<li><a class="reference internal" href="#keyword-affe-assign">6.11.3.2. Keyword <span class="blue">AFFE</span> (<span class="gray">ASSIGN</span>)</a><ul>
<li><a class="reference internal" href="#operands-phenomene-and-modelisation-phenomenon-and-model">6.11.3.2.1. Operands <span class="blue">PHENOMENE</span> and <span class="blue">MODELISATION</span> (<span class="gray">PHENOMENON</span> and <span class="gray">MODEL</span>)</a></li>
</ul>
</li>
<li><a class="reference internal" href="#keyword-affe-sous-struc-assign-substructure">6.11.3.3. Keyword <span class="blue">AFFE_SOUS_STRUC</span> (<span class="gray">ASSIGN_SUBSTRUCTURE</span>)</a></li>
<li><a class="reference internal" href="#operand-veri-jacobien-check-jacobian">6.11.3.4. Operand <span class="blue">VERI_JACOBIEN</span> (<span class="gray">CHECK_JACOBIAN</span>)</a></li>
<li><a class="reference internal" href="#operand-grandeur-cara-characteristic-quantities">6.11.3.5. Operand <span class="blue">GRANDEUR_CARA</span> (<span class="gray">CHARACTERISTIC_QUANTITIES</span>)</a></li>
<li><a class="reference internal" href="#keyword-distribution-parallel-elem-distrib">6.11.3.6. Keyword <span class="blue">DISTRIBUTION</span> (<span class="gray">PARALLEL_ELEM_DISTRIB</span>)</a><ul>
<li><a class="reference internal" href="#keyword-methode">6.11.3.6.1. Keyword <span class="blue">METHODE</span></a><ul>
<li><a class="reference internal" href="#methode-centralise-centralized">6.11.3.6.1.1. <span class="blue">METHODE = / ‘CENTRALISE</span> (<span class="gray">‘CENTRALIZED’</span>)</a></li>
<li><a class="reference internal" href="#methode-group-elem-grouped-elements">6.11.3.6.1.2. <span class="blue">METHODE = / ‘GROUP_ELEM’</span> (<span class="gray">GROUPED_ELEMENTS</span>)</a></li>
<li><a class="reference internal" href="#methode-mail-disperse-dispersed-elements">6.11.3.6.1.3. <span class="blue">METHODE = / ‘MAIL_DISPERSE’</span> (<span class="gray">DISPERSED_ELEMENTS</span>)</a></li>
<li><a class="reference internal" href="#methode-mail-contigu-contiguous-elements">6.11.3.6.1.4. <span class="blue">METHODE = / ‘MAIL_CONTIGU’</span> (<span class="gray">CONTIGUOUS_ELEMENTS</span>)</a></li>
<li><a class="reference internal" href="#keyword-charge-proc0-ma-mesh-load-proc0">6.11.3.6.1.5. Keyword <span class="blue">CHARGE_PROC0_MA</span> (<span class="gray">MESH_LOAD_PROC0</span>)</a></li>
<li><a class="reference internal" href="#methode-sous-domaine-sub-domain-default">6.11.3.6.1.6. <span class="blue">METHODE = / ‘SOUS_DOMAINE’</span> (<span class="gray">SUB_DOMAIN</span>) [DEFAULT]</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#execution-phase">6.11.4. Execution phase</a></li>
<li><a class="reference internal" href="#example">6.11.5. Example</a></li>
</ul>
</li>
</ul>


        </div>
      </div>
      <div class="clearer"></div>
    </div>
<footer class="footer">
  <p class="pull-right">
    <a href="../../_sources/docs/user/u4.41.01.rst.txt"
       rel="nofollow">Page Source</a> &nbsp;
    <a href="#">Back to Top</a></p>
  <p>
  </p>
  <p>
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 3.5.1. Page design is based on <a href="https://project.lsst.org">LSST</a> created modifications of Astropy's bootstrap-astropy theme in <a href="https://github.com/astropy/astropy-helpers">astropy-helpers</a>. <br />
  </p>
  <p>
    &copy; Copyright 2021, Biswajit Banerjee.  Original version &copy; Copyright 2019 EDF R&amp;D - Licensed under the terms of the GNU FDL (http://www.gnu.org/copyleft/fdl.html).<br/>
  </p>
</footer>
  </body>
</html>